• Documentation
  • API Reference
Overview
Guides
    Get StartedGood to KnowAccess Tokens
    Core APIs
      KYCBanksConsent & Account InformationPaymentsAuthorisationsPremium
    Alternative APIs
Other Information
Changelog
Downloads
Support
Core APIs

KYC

The KYC Service allows you to verify your PSUs before they can initiate payments. KYC is completed via redirection to Open Payments' hosted flow, where the PSU can submit required identity and verification data. Creating a new KYC process on an organization generates a URL to the KYC webform, which is accessible for 24 hours. This guide shows you how to initiate a KYC process.

For requests to the KYC Service API, you need an access token with scope set to paymentinitiation corporate.

1. Create KYC

Endpoint

Code
POST /kyc/integration/v1/new/{PSU-Corporate-ID}

Path Parameter

NameTypeDescription
PSU-Corporate-IDstringThe Corporate ID of the PSU when acting on behalf of an organization, e.g. Org. nummer for SE, KVK for NL.

Query Parameter

NameTypeDescription
countryCodestringISO country code for the country of the organization.

Request Headers

NameTypeDescription
X-Request-IDstring(uuid)The ID of the request, unique to the call, as determined by the initiating party.
TerminalCode
curl -X POST "https://api.openbankingplatform.com/kyc/integration/v1/new/1234567890?countryCode=SE" \ -H "X-Request-ID: ce3bf611-71d5-44c6-bfbe-78a48ecdda96"

Response

Code
{ "kycUrl": "https://kyc.openbankingplatform.com/?instanceId=070a4c80-ceca-4964-8003-1e20b94ef710" }

The URL in the response directs the PSU to the webform, where they will be guided through the KYC process.

The KYC webform can be completed by a PSU with or without signatory rights for the organization. If the PSU does not have signatory rights, the link to the completed form can be shared with an authorised signatory for review and signing.

The webform URL expires after 24 hours. If the form is not completed and signed within this time, a new URL must be generated.

2. Get KYC Status

Once the form is submitted, you can check if the KYC was successful by making the following request.

Endpoint

Code
GET /kyc/integration/v1/status/{PSU-Corporate-ID}

Path Parameter

NameTypeDescription
PSU-Corporate-IDstringThe Corporate ID of the PSU when acting on behalf of an organization, e.g. Org. nummer for SE, KVK for NL.

Request Headers

NameTypeDescription
X-Request-IDstring(uuid)The ID of the request, unique to the call, as determined by the initiating party.
TerminalCode
curl -X GET "https://api.openbankingplatform.com/kyc/integration/v1/status/1234567890" \ -H "X-Request-ID: fc29ef1a-705d-43ed-9785-773d29408881"

Response

Code
{ "psuCorporateId": "1234567890", "kycStatus": "Valid", "kycValidUntil": "2026-05-19" }

When the kycStatus is Valid, the organization can start making payments.

Last modified on April 30, 2026
Access TokensBanks
On this page
    • 1. Create KYC
    • 2. Get KYC Status
JSON
JSON